package remoteproxy;

import java.util.Date;

// The real implementation of the Time/Date service
public class RealDateSubject implements DateService {

	/**
	 * @return the current date as a String
	 */
	public String getDate() {
		Date current = new Date();
		return current.toString();
	}

	/**
	 * @return the current time in ms after 1/1/1970 as a String
	 */
	public String getTime() {
		Date current = new Date();
		return "" + current.getTime() + "ms";
	}
}
